### Method

# GLib OptionContext set_ignore_unknown_options

since: 2.6

#### Declaration [src]

    void
    g_option_context_set_ignore_unknown_options (
      GOptionContext* context,
      gboolean ignore_unknown
    )

#### Description [src]

Sets whether to ignore unknown options or not. If an argument is ignored, it is left in the `argv` array after parsing. By default, `g_option_context_parse()` treats unknown options as error.

This setting does not affect non-option arguments (i.e. arguments which don’t start with a dash). But note that GOption cannot reliably determine whether a non-option belongs to a preceding unknown option.

Available since: 2.6

#### Parameters

`ignore_unknown`

  Type: `gboolean`

  `TRUE` to ignore unknown options, `FALSE` to produce an error when unknown options are met.